Software - Support > Games Support

Wine and MagicArena

<< < (2/2)

2r:
I m searching for a way around the big services.

Mountain Giant:
To run magic arena you need to install wine 7.0, i played on this version with no problem.

Navigation

[0] Message Index

[*] Previous page

Go to full version